package com.jkcredit.invoice.service.nocar;

import com.jkcredit.invoice.model.entity.waybill.NoCarWayBillSplitInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 运单拆分接口
 */
public interface WayBillSplitInfoService {
    /**
     * 批量插入
     * @param noCarWayBillSplitInfos
     * @return
     */
    int batchInsert(List<NoCarWayBillSplitInfo> noCarWayBillSplitInfos);

    /**
     * 根据原始运单号查询拆分记录
     * @param wayBillNum
     * @return
     */
    List<NoCarWayBillSplitInfo> selectNoCarWayBillSplitInfosByOrgNum(String wayBillNum);

    /**
     * 更新状态
     * @param id
     * @param status
     * @return
     */
    int updateStatusById(@Param("id") Long id, @Param("waybillstatus") byte status);
}
